public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Dennis Lamm" <expeditioneer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-boot/raspberrypi-firmware/
Date: Wed,  6 Apr 2022 06:57:53 +0000 (UTC)	[thread overview]
Message-ID: <1649228266.9e557d52ecb1af2fd7574f15d783f6687b84d7e6.expeditioneer@gentoo> (raw)

commit:     9e557d52ecb1af2fd7574f15d783f6687b84d7e6
Author:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  1 06:36:03 2022 +0000
Commit:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Wed Apr  6 06:57:46 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e557d52

sys-boot/raspberrypi-firmware: version bump

Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>

 sys-boot/raspberrypi-firmware/Manifest             |  1 +
 sys-boot/raspberrypi-firmware/metadata.xml         |  5 ++
 .../raspberrypi-firmware-1.20220328.ebuild         | 72 ++++++++++++++++++++++
 3 files changed, 78 insertions(+)

diff --git a/sys-boot/raspberrypi-firmware/Manifest b/sys-boot/raspberrypi-firmware/Manifest
index 5459cfbedfec..a0b30a6025ae 100644
--- a/sys-boot/raspberrypi-firmware/Manifest
+++ b/sys-boot/raspberrypi-firmware/Manifest
@@ -1,3 +1,4 @@
 DIST raspberrypi-firmware-1.20210527.tar.gz 192247084 BLAKE2B 329707dfb2905b36926a3f0ecf1a8e3bc2b52e1a376f98ca7cfe9ec7b69d0fb370d8e23907f5bbd9ea75cf7fed5babd6fe54934919995dec6914e888d95e5fbe SHA512 5a48d1fae768c30528359a14371f59564447d2fb8a145cafa89d7d29352095c5b7ac33bfcbc8da494284c9d41e7dbafe4e863e8efd963a17ea6b6b9699b814a7
 DIST raspberrypi-firmware-1.20211029.tar.gz 193543221 BLAKE2B 308206d6bdfbe15bfe5f39cd230e6d4857f460744aafcbcc9eee6a74f05a3a9dc861e7c3e36baea46fdb1d1d1dc28b5edebf70bce3a3c085228b2ea321ef7a85 SHA512 7a1fe3b1645006c35fa49e842b9ece53b386ece42b8db99649de8d4bc0c19e34b0807767290e26422528606c5847843533aaa0edd0716e9f9f9dcae340a4dce0
 DIST raspberrypi-firmware-1.20211118.tar.gz 193544570 BLAKE2B db6c7c2e247f668b02210fb181305c3244f3d8a30f923656bf15cf418cb26822844df5b39af62b483e9e49405e13a60e57d6826aa0f3c3698920e8fc568656e2 SHA512 54881fc31ca0c9de8d8ca41ad6418e9d149975fbadbc0409f4136d4a31e70d743d55a16d4c0942305077d463c952edaa48be56d22d015983ab672dcaf5f134e2
+DIST raspberrypi-firmware-1.20220328.tar.gz 195699471 BLAKE2B e39ae746b46eb4f63aa2043df9fb60ce23b966d172e2c2c311942425e62896fb8ef171689c420bf2545065514a331e46c3bfb4d028eab8eea251357ee4c947f3 SHA512 b9e8676a94dce4621af25b8ba563a2dbd93f6fad61f5c5fb8b57b0ff5262151ff61598ce56a5f952f99f6e37f7c9ebf801a51849ee45ee328a168ca88e2522f3

diff --git a/sys-boot/raspberrypi-firmware/metadata.xml b/sys-boot/raspberrypi-firmware/metadata.xml
index ec9b51cbe4e3..8dc8059c3a3d 100644
--- a/sys-boot/raspberrypi-firmware/metadata.xml
+++ b/sys-boot/raspberrypi-firmware/metadata.xml
@@ -5,7 +5,12 @@
 		<email>sam@gentoo.org</email>
 		<name>Sam James</name>
 	</maintainer>
+	<maintainer type="person">
+		<email>expeditioneer@gentoo.org</email>
+		<name>Dennis Lamm</name>
+	</maintainer>
 	<upstream>
+		<bugs-to>https://github.com/raspberrypi/firmware/issues</bugs-to>
 		<remote-id type="github">raspberrypi/firmware</remote-id>
 	</upstream>
 </pkgmetadata>

diff --git a/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20220328.ebuild b/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20220328.ebuild
new file mode 100644
index 000000000000..595de0624e7e
--- /dev/null
+++ b/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20220328.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit mount-boot readme.gentoo-r1
+
+if [[ "${PV}" == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/raspberrypi/firmware"
+	EGIT_CLONE_TYPE="shallow"
+else
+	SRC_URI="https://github.com/raspberrypi/firmware/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="-* ~arm ~arm64"
+	S="${WORKDIR}/firmware-${PV}"
+fi
+
+DESCRIPTION="Raspberry Pi (all versions) bootloader and GPU firmware"
+HOMEPAGE="https://github.com/raspberrypi/firmware"
+
+LICENSE="GPL-2 raspberrypi-videocore-bin"
+SLOT="0"
+RESTRICT="binchecks strip"
+
+DOC_CONTENTS="Please configure your ram setup by editing /boot/config.txt"
+
+src_prepare() {
+	default
+
+	cp "${FILESDIR}"/${PN}-1.20201022-config.txt "${WORKDIR}" || die
+
+	if use arm64; then
+		# Force selection of the 64-bit kernel8.img to match our userland
+		echo "arm_64bit=1" >> "${WORKDIR}"/${PN}-1.20201022-config.txt || die
+	fi
+}
+
+src_install() {
+	insinto /boot
+	cd boot || die
+	doins bootcode.bin fixup*.dat start*elf
+	newins "${WORKDIR}"/${PN}-1.20201022-config.txt config.txt
+	newins "${FILESDIR}"/${PN}-1.20201022-cmdline.txt cmdline.txt
+	newenvd "${FILESDIR}"/${PN}-0_p20130711-envd 90${PN}
+	readme.gentoo_create_doc
+}
+
+pkg_preinst() {
+	if [[ -z "${REPLACING_VERSIONS}" ]] ; then
+		local msg=""
+
+		if [[ -e "${ED}"/boot/cmdline.txt ]] && [[ -e /boot/cmdline.txt ]] ; then
+			msg+="/boot/cmdline.txt "
+		fi
+
+		if [[ -e "${ED}"/boot/config.txt ]] && [[ -e /boot/config.txt ]] ; then
+			msg+="/boot/config.txt "
+		fi
+
+		if [[ -n "${msg}" ]] ; then
+			msg="This package installs following files: ${msg}."
+			msg="${msg} Please remove (backup) your copies during install"
+			msg="${msg} and merge settings afterwards."
+			msg="${msg} Further updates will be CONFIG_PROTECTed."
+			die "${msg}"
+		fi
+	fi
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}


             reply	other threads:[~2022-04-06  6:57 UTC|newest]

Thread overview: 64+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-06  6:57 Dennis Lamm [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-24 14:55 [gentoo-commits] repo/gentoo:master commit in: sys-boot/raspberrypi-firmware/ Viorel Munteanu
2024-10-24 11:42 Viorel Munteanu
2024-09-07 12:04 Viorel Munteanu
2024-09-06  8:58 Viorel Munteanu
2024-09-06  8:58 Viorel Munteanu
2024-04-20  3:20 Sam James
2023-03-24 13:45 Arthur Zamarin
2023-03-10  6:02 Dennis Lamm
2023-03-04  6:36 Arthur Zamarin
2023-03-04  6:03 Arthur Zamarin
2023-02-02 20:05 Dennis Lamm
2023-02-02 20:05 Dennis Lamm
2022-12-22 11:10 Dennis Lamm
2022-12-22 11:10 Dennis Lamm
2022-10-24 17:16 Dennis Lamm
2022-10-24 17:16 Dennis Lamm
2022-10-24 17:16 Dennis Lamm
2022-04-17 16:44 Sam James
2022-04-09 19:58 Arthur Zamarin
2022-04-09 19:57 Arthur Zamarin
2022-02-20  5:51 Sam James
2021-12-14 20:47 Arthur Zamarin
2021-12-14  2:06 Sam James
2021-12-05  1:28 Sam James
2021-11-21  8:21 Sam James
2021-06-21 22:36 Sam James
2021-03-06  7:26 Sam James
2021-03-05 20:34 Sam James
2021-01-27  7:31 Sam James
2021-01-25 14:06 Sam James
2021-01-25 14:04 Sam James
2020-12-20  6:29 Sam James
2020-12-11 22:12 Sam James
2020-12-11 21:35 Dennis Lamm
2020-12-10 17:43 Sam James
2020-11-23  5:01 Sam James
2020-11-23  4:54 Sam James
2020-07-28  0:10 Sam James
2019-12-30 22:33 Andrey Utkin
2019-12-03 13:34 Andrey Utkin
2019-12-03 13:34 Andrey Utkin
2019-07-15 20:31 Andrey Utkin
2019-07-05 21:38 Andrey Utkin
2019-03-25 23:07 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2019-03-24 19:18 Andrey Utkin
2017-10-15  9:21 Michael Palimaka
2016-03-15 13:49 Michael Weber
2016-02-19 21:55 Michael Weber
2016-02-19 21:55 Michael Weber
2015-11-29 20:22 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1649228266.9e557d52ecb1af2fd7574f15d783f6687b84d7e6.expeditioneer@gentoo \
    --to=expeditioneer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox